//  Copyright (c) CNES  2008
//
//  This software is part of CelestLab, a CNES toolbox for Scilab
//
//  This software is governed by the CeCILL  license under French law and
//  abiding by the rules of distribution of free software.  You can  use,
//  modify and/ or redistribute the software under the terms of the CeCILL
//  license as circulated by CEA, CNRS and INRIA at the following URL
//  'http://www.cecill.info'.

function b = CL_dat_bissextile(annee)
  //    ALGORITHME :           Si (annee divisible par 400) ou
  //    ============                ((annee divisible par 4) &&
  //                                 (annee non divisible par 100)) Alors
  //                             annee bissextile
  //  annee    (N,1) : Annee (> 0)
  //  b        (N,1) : %T si Annee bissextile
  //

// Declarations:


// Code:

   b = ((~modulo(annee,400))|(((~modulo(annee,4))&modulo(annee,100))));
endfunction
