//  Copyright (c) CNES  2008
//
//  This software is part of CelestLab, a CNES toolbox for Scilab
//
//  This software is governed by the CeCILL  license under French law and
//  abiding by the rules of distribution of free software.  You can  use,
//  modify and/ or redistribute the software under the terms of the CeCILL
//  license as circulated by CEA, CNRS and INRIA at the following URL
//  'http://www.cecill.info'.

function e3 = %CLevents_a_CLevents(e1,e2)
  // Overloading of events (MERGE)
  // Warning: if 2 events have same time

// Declarations:


// Code:

  e3 = mlist(['CLevents','date','code','name','pos'],[],[],[],[]);
  e3.date = [e1.date e2.date];
  e3.code = [e1.code e2.code];
  e3.name = [e1.name e2.name];
  e3.pos = [e1.pos e2.pos];
  //order by date
  [times,k] = gsort(e3.date,'c','i')
  e3.date = e3.date(k);
  e3.code = e3.code(k);
  e3.name = e3.name(k);
  e3.pos = e3.pos(:,k);
endfunction
