//  Copyright (c) CNES  2008
//
//  This software is part of CelestLab, a CNES toolbox for Scilab
//
//  This software is governed by the CeCILL  license under French law and
//  abiding by the rules of distribution of free software.  You can  use,
//  modify and/ or redistribute the software under the terms of the CeCILL
//  license as circulated by CEA, CNRS and INRIA at the following URL
//  'http://www.cecill.info'.

function s2=%CLsensor_i_CLsensor(v,s1,s2)


// Declarations:


// Code:

ss1 = size(s1);
ss2 = size(s2);

if (min(v)<1 | max(v)>ss2+1 | (size(v)~=ss1)) then error("invalid index..."); end

if v~=[]
  name = s2.name
  typ = s2.type
  X = s2.X
  Y = s2.Y
  Z = s2.Z
  semiAngle = s2.semiAngle

  name(v) = s1.name
  typ(v) = s1.type
  X(v) = s1.X
  Y(v) = s1.Y
  Z(v) = s1.Z
  semiAngle(v) = s1.semiAngle

  s2 = CL_ev_defSensor(name,typ,X,Y,Z,semiAngle)
end

endfunction
