//  Copyright (c) CNES  2008
//
//  This software is part of CelestLab, a CNES toolbox for Scilab
//
//  This software is governed by the CeCILL  license under French law and
//  abiding by the rules of distribution of free software.  You can  use,
//  modify and/ or redistribute the software under the terms of the CeCILL
//  license as circulated by CEA, CNRS and INRIA at the following URL
//  'http://www.cecill.info'.

function iprem = CL_op_iPrem2(n1,n2)


// Declarations:


// Code:

nmax = 100
prim =[
2
3
5
7
11
13
17
19
23
29
31
37
41
43
47
53
59
61
67
71
73
79
83
89
97
101
103
107
109
113
127
131
137
139
149
151
157
163
167
173
179
181
191
193
197
199
211
223
227
229
233
239
241
251
257
263
269
271
277
281
283
293
307
311
313
317
331
337
347
349
353
359
367
373
379
383
389
397
401
409
419
421
431
433
439
443
449
457
461
463
467
479
487
491
499
503
509
521
523
541
];

if n1==n2
  iprem = 0; return
elseif n1<=1 | n2<=1
  iprem = 0; return
elseif modulo(n1,n2)==0 | modulo(n2,n1)==0
  iprem = 0; return
end

imax = min(n1,n2)/2

for i=1:nmax
  ipr = prim(i)
  if ipr>imax then iprem=1; return; end
  if modulo(n1,ipr)==0
    if modulo(n2,ipr)==0
      iprem=0; return
    end
  end
end

//prim(nmax) must be odd!! (>2)

for i=prim(nmax)+2:2:imax
  if modulo(n1,i)==0
    if modulo(n2,i)==0
      iprem==0; return
    end
  end
end

endfunction
