program co_car2cir

use mslib

real(pm_reel) :: MU
type(tm_orb_cir) :: CIR
real(pm_reel), dimension(3) :: POS_CAR
real(pm_reel), dimension(3) :: VIT_CAR
type(tm_code_retour) :: CODE_RETOUR
real(pm_reel), dimension(6,6) :: jacob
integer :: j

MU = .39860064e+15_pm_reel

!!*************
!!NOMINAL CASES

!****************************
!CASE 1: standard random case
POS_CAR(1) = -5910180.0_pm_reel
POS_CAR(2) =  4077714.0_pm_reel
POS_CAR(3) = -620640.0_pm_reel
VIT_CAR(1) =  129.0_pm_reel
VIT_CAR(2) = -1286.0_pm_reel
VIT_CAR(3) = -7325.0_pm_reel
call mv_car_cir(MU,POS_CAR,VIT_CAR,CIR,CODE_RETOUR,jacob=jacob)
print *, POS_CAR
print *, VIT_CAR
print *, CIR%a, CIR%ex, CIR%ey
print *, CIR%i, CIR%gom, CIR%pso_M
do j=1,6
	print *, jacob(j,1), jacob(j,2), jacob(j,3) 
	print *, jacob(j,4), jacob(j,5), jacob(j,6) 
end do
!****************************

end program co_car2cir