program co_car2cirequa

use mslib

real(pm_reel) :: MU
type(tm_orb_cir_equa) :: CIR_EQUA
real(pm_reel), dimension(3) :: POS_CAR
real(pm_reel), dimension(3) :: VIT_CAR
type(tm_code_retour) :: CODE_RETOUR
real(pm_reel), dimension(6,6) :: jacob
integer :: j
MU = .39860064e+15_pm_reel

!!*************
!!NOMINAL CASES

!*********************
!CASE 1: standard case !!falta jacobia
POS_CAR(1) = -29536113.0_pm_reel
POS_CAR(2) =  30329259.0_pm_reel
POS_CAR(3) = -100125.0_pm_reel
VIT_CAR(1) = -2194.0_pm_reel
VIT_CAR(2) = -2141.0_pm_reel
VIT_CAR(3) = -8.0_pm_reel
call mv_car_cir_equa(MU,POS_CAR,VIT_CAR,CIR_EQUA,CODE_RETOUR,jacob=jacob)
print *, POS_CAR
print *, VIT_CAR
print *, CIR_EQUA%a, CIR_EQUA%ex, CIR_EQUA%ey
print *, CIR_EQUA%ix, CIR_EQUA%iy, CIR_EQUA%pso_M
do j=1,6
	print *, jacob(j,1), jacob(j,2), jacob(j,3) 
	print *, jacob(j,4), jacob(j,5), jacob(j,6) 
end do
!*********************


end program co_car2cirequa