program co_car2geoc

use mslib

type(tm_geocentrique) :: pos_geoc, vit_geoc
real(pm_reel), dimension(3) :: pos_car, vit_car
type(tm_code_retour) :: code_retour
real(pm_reel), dimension(6,6) :: jacob
integer :: j

!!*************
!!NOMINAL CASES

!****************************
!CASE 1: standard random case !falta jacobi!
pos_car(1) = 3842403.1_pm_reel
pos_car(2) = -5057704.6_pm_reel
pos_car(3) = 577780.5_pm_reel
vit_car(1) = 1000._pm_reel
vit_car(2) = 1000._pm_reel
vit_car(3) = 100._pm_reel
call mt_car_geoc (pos_car, pos_geoc, code_retour, vit_car = vit_car, vit_geoc = vit_geoc, jacob = jacob)
print *, pos_car
print *, vit_car
print *, pos_geoc
print *, vit_geoc
do j=1,6
	print *, jacob(j,1), jacob(j,2), jacob(j,3) 
	print *, jacob(j,4), jacob(j,5), jacob(j,6) 
end do
!****************************

!!**************
!!DEGRADED CASES

!*****************************
!CASE 2: bad defined longitude (only position can be computed)
pos_car(1) = 0._pm_reel
pos_car(2) = 0._pm_reel
pos_car(3) = -5237095.4_pm_reel
call mt_car_geoc (pos_car, pos_geoc, code_retour)
print *, pos_car
print *, pos_geoc
!*****************************

end program co_car2geoc