program co_cirequa2car

use mslib

real(pm_reel) :: MU
type(tm_orb_cir_equa) :: CIR_EQUA
real(pm_reel), dimension(3) :: POS_CAR
real(pm_reel), dimension(3) :: VIT_CAR
type(tm_code_retour) :: CODE_RETOUR
real(pm_reel), dimension(6,6) :: jacob

MU = .39860064e15_pm_reel

!!*************
!!NOMINAL CASES

!****************************
!CASE 1: standard random case 
CIR_EQUA%a =     42166.712_pm_reel
CIR_EQUA%ex =   -7.900e-06_pm_reel
CIR_EQUA%ey =    1.100e-04_pm_reel
CIR_EQUA%ix =    1.200e-04_pm_reel
CIR_EQUA%iy =   -1.16e-04_pm_reel
CIR_EQUA%pso_M = 5.300_pm_reel
call mv_cir_equa_car(MU,CIR_EQUA,POS_CAR,VIT_CAR,CODE_RETOUR,jacob=jacob)
print *, CIR_EQUA%a, CIR_EQUA%ex, CIR_EQUA%ey
print *, CIR_EQUA%ix, CIR_EQUA%iy, CIR_EQUA%pso_M
print *, POS_CAR
print *, VIT_CAR
do j=1,6
	print *, jacob(j,1), jacob(j,2), jacob(j,3) 
	print *, jacob(j,4), jacob(j,5), jacob(j,6) 
end do
!****************************

end program co_cirequa2car
