program co_kep2cirequa

use mslib

type(tm_orb_cir_equa) :: CIR_EQUA
type(tm_orb_kep) :: KEP
type(tm_code_retour) :: CODE_RETOUR
real(pm_reel), dimension(6,6) :: JACOB

!!*************
!!NOMINAL CASES

!***************************
!CAS 1: Standard random case

KEP%a = 24464560._pm_reel
KEP%e = 0.7311_pm_reel
KEP%i = 0.122138_pm_reel
KEP%pom = 3.10686_pm_reel
KEP%gom = 1.00681_pm_reel
KEP%M = 0.048363_pm_reel
call mv_kep_cir_equa(KEP,CIR_EQUA,CODE_RETOUR,jacob=JACOB)
print *, KEP%a, KEP%e, KEP%i
print *, KEP%pom, KEP%gom, KEP%M
print *, CIR_EQUA%a, CIR_EQUA%ex, CIR_EQUA%ey
print *, CIR_EQUA%ix, CIR_EQUA%iy, CIR_EQUA%pso_M
do j=1,6
	print *, jacob(j,1), jacob(j,2), jacob(j,3) 
	print *, jacob(j,4), jacob(j,5), jacob(j,6) 
end do
!***************************

end program co_kep2cirequa
