program da_cal2cjd

use mslib

integer                    :: an              ! annee
integer                    :: mois            ! numero du mois dans l'annee
integer                    :: jour            ! numero du jour dans le mois
integer                    :: heure           ! heure du jour
integer                    :: min             ! minutes dans l'heure
real(pm_reel)              :: sec             ! secondes decimales dans la minute

type(tm_jour_sec)          :: jul1950         ! jours juliens CNES
type(tm_code_retour)       :: code_retour

!!*************
!!NOMINAL CASES

!****************************
!CASE 1: random standard case
jour = 29
mois = 2
an   = 1968
heure= 0
min  = 0
sec  = 0.
call md_calend_julien ( an, mois, jour, heure, min, sec, jul1950, code_retour)
print *, an, mois, jour
print *, heure, min, sec
print *, jul1950%jour, jul1950%sec, 0
!****************************

!****************************
!CASE 2: random standard case
jour = 5
mois = 4
an   = 1980
heure= 12
min  = 30
sec  = 5.
call md_calend_julien ( an, mois, jour, heure, min, sec, jul1950, code_retour)
print *, an, mois, jour
print *, heure, min, sec
print *, jul1950%jour, jul1950%sec, 0
!****************************

!****************************
!CASE 3: random standard case
jour = 28
mois = 2
an   = 1986
heure= 4
min  = 20
sec  = 12.
call md_calend_julien ( an, mois, jour, heure, min, sec, jul1950, code_retour)
print *, an, mois, jour
print *, heure, min, sec
print *, jul1950%jour, jul1950%sec, 0
!****************************


end program da_cal2cjd