(1,program da_cjd2cal

use mslib

integer                    :: an              ! annee
integer                    :: mois            ! numero du mois dans l'annee
integer                    :: jour            ! numero du jour dans le mois
integer                    :: heure           ! heure du jour
integer                    :: min             ! minutes dans l'heure
real(pm_reel)              :: sec             ! secondes decimales dans la minute

type(tm_jour_sec)          :: jul1950         ! jours juliens CNES
type(tm_code_retour)       :: code_retour

!!*************
!!NOMINAL CASES

!****************************
!CASE 1: random standard case
jul1950%jour = 6633_pm_entier
jul1950%sec  = 0.
call md_julien_calend(jul1950, an, mois, jour, heure, min, sec, code_retour)
print *, jul1950%jour, jul1950%sec, 0
print *, an, mois, jour
print *, heure, min, sec
!****************************

!****************************
!CASE 2: another random standard case
jul1950%jour = 729_pm_entier
jul1950%sec  = 8640._pm_reel
call md_julien_calend(jul1950, an, mois, jour, heure, min, sec, code_retour)
print *, jul1950%jour, jul1950%sec, 0
print *, an, mois, jour
print *, heure, min, sec
!****************************

!****************************
!CASE 3: another random standard case
jul1950%jour = 1094_pm_entier
jul1950%sec  = 864._pm_reel
call md_julien_calend(jul1950, an, mois, jour, heure, min, sec, code_retour)
print *, jul1950%jour, jul1950%sec, 0
print *, an, mois, jour
print *, heure, min, sec
!****************************

!****************************
!CASE 4: another random standard case
jul1950%jour = 1096_pm_entier
jul1950%sec  = 86399._pm_reel
call md_julien_calend(jul1950, an, mois, jour, heure, min, sec, code_retour)
print *, jul1950%jour, jul1950%sec, 0
print *, an, mois, jour
print *, heure, min, sec
!****************************

!****************************
!CASE 5: another random standard case
jul1950%jour = 1186_pm_entier
jul1950%sec  = 8.640_pm_reel
call md_julien_calend(jul1950, an, mois, jour, heure, min, sec, code_retour)
print *, jul1950%jour, jul1950%sec, 0
print *, an, mois, jour
print *, heure, min, sec
!****************************

!****************************
!CASE 6: another random standard case
jul1950%jour = 1277_pm_entier
jul1950%sec  = 43200._pm_reel
call md_julien_calend(jul1950, an, mois, jour, heure, min, sec, code_retour)
print *, jul1950%jour, jul1950%sec, 0
print *, an, mois, jour
print *, heure, min, sec
!****************************

!****************************
!CASE 7: another random standard case
jul1950%jour = 2282_pm_entier
jul1950%sec  = 2282._pm_reel
call md_julien_calend(jul1950, an, mois, jour, heure, min, sec, code_retour)
print *, jul1950%jour, jul1950%sec, 0
print *, an, mois, jour
print *, heure, min, sec
!****************************

!****************************
!CASE 8: another random standard case
jul1950%jour = 2400_pm_entier
jul1950%sec  = 20000._pm_reel
call md_julien_calend(jul1950, an, mois, jour, heure, min, sec, code_retour)
print *, jul1950%jour, jul1950%sec, 0
print *, an, mois, jour
print *, heure, min, sec
!****************************

end program da_cjd2cal