       program position_planete 
	implicit real*8(a-h,o-z)
c calcul positions planeteques dans ecliptique G50
c calcul d une orbite tout les N  jours
       integer ier
       double precision xpla(6)
       double precision tau
	xmusol = 132721.4D+06
	pi=acos(-1.d0)
	deupi=pi+pi
	psi=0.
	teta=0.
	phi=0.
	pas = 2.
	idegre=1
	
	open(100,file='p_position_planete_ecliptique.res')
	
	write(*,*)'Numero de la planete'
	read(*,*)numpla
	write(*,*)'date debut en tjul'
	read(*,*)tdeb
	tc = tdeb
	write(*,*)'duree en annees'
	read(*,*)duran
	tfin=tdeb+duran*365.25

	write(*,*)'Pas calcul entre orbite  en annees'
	read(*,*)pas_saut_an
	pas_saut_an_j=pas_saut_an*365.25
	
c	write(*,*)'pas extrapolation orbite en jours'
c	read(*,*)pasj
c recherche periode orbitale.
        call POVIPL(Tdeb,numpla,A,Exc,XI,POM,GOM,XMoy,XMU,RAY)
	xmoymouv=sqrt(xmusol/a**3)
	periodj=(deupi/(xmoymouv*86400.))
	write(100,102)numpla,A,Exc,XI,POM,GOM,XMoy,periodj
102	format(
     1'# planete numero = ',i3,/,
     1'# ax = ',f10.0,/,
     1'# ex = ',f7.4,/,
     1'# xi = ',f7.2,/,
     1'# pom = ',f7.2,/,
     1'# gom = ',f7.2,/,
     1'# anm = ',f7.2,/,
     1'# periode orbite Jour = ',f5.0)
      write(100,103)
 103	format(
     1'#  date            x             y              z ',
     1'          vx        vy         vz     psi    teta ',
     1'  phi   pom+gom')

200	continue

	pasj1=1
	do 111 i111=1,89
        call POVIPL(Tc,numpla,A,Exc,XI,POM,GOM,XMoy,XMU,RAY)
c convertion position vitesse
      call ORREC(A,EXC,XI,POM,gOM,XMOY,X1,X2,X3,XP1,XP2,XP3,XMUSOL,
     1IDEGRE,IER)
c      write(*,*)A,x1,xp1,ier
	posper=dmod(pom+gom,360.)
       write(100,100)tc, x1,x2,x3,xp1,xp2,xp3,psi,teta,phi,posper
       tc = tc+pasj1
111	continue
c autre orbite
	write(100,101)
       tc=tc+pas_saut_an_j
       if(tc . le . tfin)go to 200
       
c       
100	format(f15.5,3f14.1,3f10.3,4f7.1)
101	format('#S')

	write(*,*)
     1 'Fichier resultats ---> p_position_planete_ecliptique.res'
      	stop
       end

      SUBROUTINE ORREC(A,EXC,XI,POM,OM,XMOY,X1,X2,X3,XP1,XP2,XP3,XMU,
     1IDEGRE,IER)
C*ROL PASSAGE DES ELEMENTS OSCULATEURS DE L ORBITE AUX ELEMENTS RECTANGU
C*ROL LAIRES CORRESPONDANTS DANS UN REPERE GEOCENTRIQUE
C SI   IDEGRE  =   1   ANGLES EN DEGRES
C    SOUS PROGRAMMES UTILISES   XK   ANGLE
C*PAR IER EST LE CODE D ERREUR DE XK
C*PAR IER=0,-2,-3  BON FONCTIONNEMENT
C*PAR IER=1     XK N A PAS CONVERGE
C*PAR IER=4,5   MAUVAISE EXCENTRICITE
      IMPLICIT REAL*8 (A-H,O-Z)
      DATA RADI/0.01745329251994D0/
      XN=DSQRT(XMU/A**3)
      IF(IDEGRE.NE.1)  GO TO 20
      CDR=RADI
      GO TO 30
   20 CDR=1.D0
   30 XA=XI*CDR
      OA=OM*CDR
      POA=POM*CDR
      XMOA=XMOY*CDR
      CPOM=DCOS(POA)
      COM=DCOS(OA)
      CXI=DCOS(XA)
      SPOM=DSIN(POA)
      SOM=DSIN(OA)
      SXI=DSIN(XA)
      PX=CPOM*COM-CXI*SOM*SPOM
      PY=CPOM*SOM+CXI*COM*SPOM
      PZ=SXI*SPOM
      QX=-SPOM*COM-CXI*SOM*CPOM
      QY=-SPOM*SOM+CXI*COM*CPOM
      QZ=CPOM*SXI
      AEX= XK(XMOA,EXC,IER)
      IF(IER.GT.0) RETURN
      CAEX=DCOS(AEX)
      SAEX=DSIN(AEX)
      DE=XN/(1.D0-EXC*CAEX)
      SQ=DSQRT(1.D0-EXC**2)
      X1=A*(PX*(CAEX-EXC)+QX*SQ*SAEX)
      X2=A*(PY*(CAEX-EXC)+QY*SQ*SAEX)
      X3=A*(PZ*(CAEX-EXC)+QZ*SQ*SAEX)
      XP1=A*DE*(QX*CAEX*SQ-PX*SAEX)
      XP2=A*DE*(QY*CAEX*SQ-PY*SAEX)
      XP3=A*DE*(QZ*CAEX*SQ-PZ*SAEX)
      RETURN
      END


      SUBROUTINE POVIPL(TT,NUMER,A,E,XI,POM,GOM,XM,XMU,RAY)
      IMPLICIT REAL*8 (A-H,O-Z)
C*AUT PERRET
C*AUT  AUTEUR = PERRET
C*ROL   CE S/P CALCULE LES PARAMETRES D ORBITE DES PLANETES DU SYSTEME
C*ROL  SOLAIRE DANS LE REPERE ECLIPTIQUE MOYEN 50 RAPPORTE AU POINT
C*ROL  GAMMA MOYEN 1950.
C
C*PAR  TT EST LA DATE EN JOURS JULIEN CNES   ENTREE
C*PAR  NUMER EST LE NUMERO DE PLANETE (=1 POUR MERCURE,2 POUR VENUS,
C*PAR   3 POUR TERRE,4 POUR MARS,5 POUR JUPITER,6 POUR SATURNE,7 POUR
C*PAR   URANUS,8 POUR NEPTUNE,9 POUR PLUTON)   ENTREE
C*PAR  A EST LE DEMI GRAND AXE (EN KM)   SORTIE
C*PAR  E EST LE COEF. D EXCENTRICITE SANS UNITE   SORTIE
C*PAR  XI REPRESENTE L INCLINAISON EN DEGRES   SORTIE
C*PAR  POM EST L ARGUMENT DU PERICENTRE EN DEGRES   SORTIE
C*PAR  GOM EST LA LONGITUDE DU NOEUD ASCENDANT EN DEGRES   SORTIE
C*PAR  XM EST L ANOMALIE MOYENNE EN DEGRES   SORTIE
C*PAR  XMU EST LA CONSTANTE GRAVITATIONELLE EN KM**3/S**2  SORTIE
C*PAR  RAY EST LE RAYON EQUATORIAL DE LA PLANETE EN KM   SORTIE
C
      DATA RDDA,XMUS/57.295779513082D0,132721.4D+06/
      UA=149596000.D0
      TU1=TT+18262.5D0
      TE=TU1
      T=TU1/36525.D0
      T2=T*T
      T3=T2*T
      TP=TT/365250.D0
      PRECES=(50267.525D0+111.16D0*TP)*TP/3600.D0
      GOTO(1,2,3,4,5,6,7,8,9)NUMER
C
C     ******************************************************************
C*FON  CALCUL POUR MERCURE.
C     ******************************************************************
C
    1 XL=178.D0+10.D0/60.D0+(44.68D0+538106654.80D0*T+1.084D0*T2)
     +						       /3600.D0
      XLPER=75.D0+53.D0/60.D0+(58.91D0+5599.76D0*T+1.061D0*T2)/3600.D0
      GOM=47.D0+8.D0/60.D0+(45.40D0+4266.75D0*T+0.626D0*T2)/3600.D0
      E=0.20561421D0+2.046D-05*T-3.0D-08*T2
      XI=7.D0+(10.37D0+6.699D0*T-0.066D0*T2)/3600.D0
      A=UA*0.38709860D0
      XMU = XMUS/6.D+06
      RAY=3.34D0*UA/(RDDA*3600.D0)
      GO TO 10
C
C     ******************************************************************
C*FON  CALCUL POUR VENUS.
C     ******************************************************************
C
    2 XL=342.D0+46.D0/60.D0+(1.39D0+210669162.88D0*T+1.1148D0*T2)
     +						    /3600.D0
      XLPER=130.D0+9.D0/60.D0+(49.8D0+5068.93D0*T-3.515D0*T2)/3600.D0
      GOM=75.D0+46.D0/60.D0+(46.73D0+3239.46D0*T+1.476D0*T2)/3600.D0
      E=0.00682069D0-4.774D-05*T+9.1D-08*T2
      XI=3.D0+23.D0/60.D0+(37.07D0+3.621D0*T-0.0035D0*T2)/3600.D0
      A=UA*0.72333162D0
      XMU=XMUS/408000.D0
      RAY=8.41D0*UA/(RDDA*3600.D0)
      GO TO 10
C
C     ******************************************************************
C*FON  CALCUL POUR LA TERRE.
C     ******************************************************************
C
    3 XL=99.D0+41.D0/60.D0+(48.04D0+129602768.13D0*T+1.089D0*T2)
     +						    /3600.D0
      XLPER=101.D0+13.D0/60.D0+(15.0D0+6189.03D0*T+1.63D0*T2+0.012D0
     +						  *T3)/3600.D0
      GOM=0.D0
      E=0.01675104D0-4.18D-05*T-1.26D-07*T2
      XI=0.D0
      A=UA*1.00000023D0
      XMU=XMUS/329390.D0
      RAY=6378.158D0
      GO TO 10
C
C     ******************************************************************
C*FON  CALCUL POUR MARS.
C     ******************************************************************
C
    4 XL=293.D0+44.D0/60.D0+(51.46D0+68910117.33D0*T+1.1184D0*T2)
     +						  /3600.D0
      XLPER=334.D0+13.D0/60.D0+(5.53D0+6626.73D0*T+0.4675D0*T2-0.0043D0
     +           *T3)/3600.D0                                                                                                                                                                         +						*T3)/3600.D0
      GOM=48.D0+47.D0/60.D0+(11.19D0+2775.57D0*T-0.005D0*T2-0.0192D0
     +		 *T3)/3600.D0
      E=0.09331290D0+9.2064D-05*T-7.7D-08*T2
      XI=1.D0+51.D0/60.D0+(1.20D0-2.430D0*T+0.0454D0*T2)/3600.D0
      A=UA*1.52368840D0
      XMU=XMUS/3093500.D0
      RAY=4.68D0*UA/(RDDA*3600.D0)
      GO TO 10
C
C     ******************************************************************
C*FON  CALCUL POUR JUPITER.
C     ******************************************************************
C
    5 XL=238.D0+2.D0/60.D0+(57.32D0+10930687.148D0*T+1.20486D0*T2
     1-0.005936D0*T3)/3600.D0
      XLPER=12.D0+43.D0/60.D0+(15.34D0+5795.862D0*T+3.80258D0*T2
     +-0.01236D0*T3)/3600.D0
      GOM=99.D0+26.D0/60.D0+(36.19D0+3637.908D0*T+1.2680D0*T2
     +-0.03064D0*T3)/3600.D0
      E=0.04833475D0+1.64180D-04*T-4.676D-07*T2-1.7D-09*T3
      XI=1.D0+18.D0/60.D0+(31.45D0-20.506D0*T+0.014D0*T2)/3600.D0
      A=UA*5.202561D0
      XMU=XMUS/1047.358D0
      RAY=98.473D0*UA/(RDDA*3600.D0)
      GO TO 10
C
C     ******************************************************************
C*FON  CALCUL POUR SATURNE.
C     ******************************************************************
C
    6 XL=266.D0+33.D0/60.D0+(51.76D0+4404635.581D0*T+1.16835D0*T2
     +-0.0021D0*T3)/3600.D0
      XLPER=91.D0+5.D0/60.D0+(53.38D0+7050.297D0*T+2.9749D0*T2+0.0166D0
     +*T3)/3600.D0
      GOM=112.D0+47.D0/60.D0+(25.40D0+3143.5025D0*T-0.54785D0*T2
     +-0.0191D0*T3)/3600.D0
      E=0.05589232D0-3.4550D-04*T-7.28D-07*T2+7.4D-10*T3
      XI=2.D0+29.D0/60.D0+(33.07D0-14.108D0*T-0.05576D0*T2+0.00016D0
     +*T3)/3600.D0
      A=UA*9.554747D0
      XMU=XMUS/3501.6D0
      RAY=83.33D0*UA/(RDDA*3600.D0)
      GO TO 10
C
C     ******************************************************************
C*FON  CALCUL POUR URANUS.
C     ******************************************************************
C
    7 XL=244.D0+11.D0/60.D0+(50.89D0+1547508.765D0*T+1.13774D0*T2
     +-0.002176*T3)/3600.D0
      XLPER=171.D0+32.D0/60.D0+(55.14D0+5343.958D0*T+0.8539D0*T2
     +-0.00218*T3)/3600.D0
      GOM=73.D0+28.D0/60.D0+(37.55D0+1795.204D0*T+4.722D0*T2)/3600.D0
      E=0.0463444D0-2.658D-05*T+7.7D-08*T2
      XI=  46.D0/60.D0+(20.87D0+2.251D0*T+0.1422D0*T2)/3600.D0
      A=UA*19.21814D0
      XMU=XMUS/22869.D0
      RAY=34.28D0*UA/(RDDA*3600.D0)
      GO TO 10
C
C     ******************************************************************
C*FON  CALCUL POUR NEPTUNE.
C     ******************************************************************
C
    8 XL=84.D0+27.D0/60.D0+(28.78D0+791589.291D0*T+1.15374D0*T2
     +-0.002176*T3)/3600.D0
      XLPER=46.D0+43.D0/60.D0+(38.37D0+5128.468D0*T+1.40694D0*T2
     +-0.002176*T3)/3600.D0
      GOM=130.D0+40.D0/60.D0+(52.89D0+3956.166D0*T+0.89952D0*T2
     +-0.016984*T3)/3600.D0
      E=0.00899704D0+6.330D-06*T-2.D-09*T2
      XI=1.D0+46.D0/60.D0+(45.27D0-34.357D0*T-0.0328D0*T2)/3600.D0
      A=UA*30.10957D0
      XMU=XMUS/19314.D0
      RAY=36.56D0*UA/(RDDA*3600.D0)
      GO TO 10
C
C     ******************************************************************
C*FON  CALCUL POUR PLUTON.
C     ******************************************************************
C
    9 A=UA*39.438712D0
      E=0.250236D0
      XI=17.17047D0
      GOM=109.73994D0
      POM=114.27032D0
      XM=317.48609D0+0.0039794275D0*(TE-37200.5D0)
      XMU=XMUS/360000.D0
      RAY=3000.D0
      GO TO 11
C
C     ******************************************************************
C*FON  CALCUL FINAL
C     ******************************************************************
C
   10 XL=DMOD(XL,360.D0)
      XLPER=DMOD(XLPER,360.D0)
      POM=DMOD(XLPER-GOM,360.D0)
      XM=XL-XLPER
C
   11 XM=DMOD(XM,360.D0)
      GOM=GOM-PRECES
      GOM=DMOD(GOM,360.D0)
      RETURN
      END
      
      REAL*8 FUNCTION XK(AM,EX,IER)
C*ROL RESOLUTION DE L EQUATION DE KEPLER PAR LA METHODE DE NEWTON
C*ROL INITIALISATION DE ENCKE
C*PAR AM EST L*ANOMALIE MOYENNE.  (RADIANS)
C*PAR EX EST L*EXCENTRICITE. 0<EX<1 .
C*PAR IER EST L*INDICATEUR D*ALARME.
C*PAR IER=0        LE CALCUL S*EST DEROULE NORMALEMENT.
C*PAR IER=1        ON A REALISE 10 ITERATIONS.ON ARRETE.
C*PAR              ON DONNE A  XK LA VALEUR DU DERNIER ES CALCULE.
C*PAR  UN NOUVEL APPEL AVEC IER=10  PERMET DE FAIRE 10 AUTRES ITERATIONS
C*PAR IER=-2       CAS OU SIN(AM) INFERIEUR A 10-12
C*PAR              ON DONNE A  XK LA VALEUR 0.
C*PAR IER=-3       EX EST      INFERIEURE A 10-12, ON RETOURNE XK=AM
C*PAR IER=4        VALEUR DE EX SUPERIEURE A 1.
C*PAR IER=5        EX NEGATIVE
C*NOT CE PROGRAMME ASSURE LA PRECISION EPS=10-12
C*NOT IL A ETE TESTE DE EX=10-11 A EX=.00
      IMPLICIT REAL*8 (A-H,O-Z)
      IF(IER.EQ.10) GO TO 80
      IF(EX.LT.0.E0) GO TO 82
      IF(EX.GE.1.E0) GO TO 81
      AMI=0.1D-11
      EPS=0.1D-11
      IF(EX.LE.EPS) GO TO 70
      SI=DSIN(AM)
      IF(DABS(SI).LE.AMI)GOTO 50
      CO=DCOS(AM)
      Z=EX*SI/DSQRT(EX*EX+1.D0-2.D0*EX*CO)
      EI=AM+Z-Z*Z*Z*Z*CO/(SI*6.D0)*(1.D0-EX*EX)
   80 CONTINUE
      IER=0
      DO 60 I=1,10
      ES=EI+(AM+EX*DSIN(EI)-EI)/(1.D0-EX*DCOS(EI))
      DELTAE=DABS(ES-EI)
      IF(DELTAE.LE.EPS) GO TO 30
   60 EI=ES
      IER=1
   30 XK=ES
      RETURN
   50 XK=AM
      IER=-2
      RETURN
   70 XK=AM
      IER=-3
      RETURN
   81 IER=4
      RETURN
82    IER=5
      RETURN
      END

