program op_J2derive

use mslib

real(pm_reel)                       ::  mu          ! constante de la gravitation
real(pm_reel)                       ::  r_equa      ! rayon equatorial du corps attractif
real(pm_reel)                       ::  c20         ! coefficient zonal C20 (denormalise)
real(pm_reel)                       ::  a           ! demi grand axe de l'orbite
real(pm_reel)                       ::  e           ! excentricite de l'orbite
real(pm_reel)                       ::  i           ! inclinaison de l'orbite

real(pm_reel)                       ::  deriv_pom   ! derive seculaire de l'argument du perigee
real(pm_reel)                       ::  deriv_gom   ! derive seculaire de la longitude du noeud ascendant
real(pm_reel)                       ::  deriv_M     ! derive seculaire de l'anomalie moyenne
type(tm_code_retour)                ::  code_retour


!!*************
!!NOMINAL CASES

mu     =  398600.64e9_pm_reel          ! constante de la gravitation
c20    = -0.10829e-2_pm_reel           ! coefficient zonal C20 (denormalise) du corps attractif
r_equa =  6378160._pm_reel             ! rayon equatorial du corps attractif

!****************************
!CASE 1: random standard case
a = 24435100._pm_reel
e = .73054_pm_reel
i = 1.570796_pm_reel
call me_deriv_secul_j2 ( mu, r_equa, c20, a, e, i, deriv_pom, deriv_gom, deriv_M, code_retour)
print *, a, e ,i
print *, mu, c20, r_equa
print *, deriv_pom, deriv_gom, deriv_M
!****************************

end program op_J2derive
