//  Copyright (c) CNES  2008
//
//  This software is part of CelestLab, a CNES toolbox for Scilab
//
//  This software is governed by the CeCILL  license under French law and
//  abiding by the rules of distribution of free software.  You can  use,
//  modify and/ or redistribute the software under the terms of the CeCILL
//  license as circulated by CEA, CNRS and INRIA at the following URL
//  'http://www.cecill.info'.


// Declarations:


// Code:

// Demo file for 3 body problem functions

env = CL_3b_environment('S-EM','L2');

Az = 150e6/env.D;
sens = 0;
phi=0
t=[0:0.01:0.99*%pi];

halo_orb = CL_3b_halo(env,Az,sens,t);

//plots
graph1 = scf();
xtitle('Halo orbit','X','Z')
plot2d(halo_orb(1,:),halo_orb(3,:),5);
plot2d(env.gl,0,-10);
xgrid;

graph2 = scf();
xtitle('Halo orbit','Y','Z')
plot2d(halo_orb(2,:),halo_orb(3,:),5);
plot2d(0,0,-10);
xgrid;


