//  Copyright (c) CNES  2008
//
//  This software is part of CelestLab, a CNES toolbox for Scilab
//
//  This software is governed by the CeCILL  license under French law and
//  abiding by the rules of distribution of free software.  You can  use,
//  modify and/ or redistribute the software under the terms of the CeCILL
//  license as circulated by CEA, CNRS and INRIA at the following URL
//  'http://www.cecill.info'.

function s2=%CLgndsta_i_CLgndsta(v,s1,s2)


// Declarations:


// Code:

ss1 = size(s1);
ss2 = size(s2);

if (min(v)<1 | max(v)>ss2+1 | (size(v)~=ss1)) then error("invalid index..."); end

if v~=[]
  name = s2.name
  alias = s2.alias
  site_min = s2.site_min
  lon = s2.lon
  lat = s2.lat
  alt = s2.alt

  name(v) = s1.name
  alias(v) = s1.alias
  site_min(v) = s1.site_min
  lon(v) = s1.lon
  lat(v) = s1.lat
  alt(v) = s1.alt

  s2 = CL_ev_defStation(name,alias,site_min,lon,lat,alt)
end

endfunction
