//  Copyright (c) CNES  2008
//
//  This software is part of CelestLab, a CNES toolbox for Scilab
//
//  This software is governed by the CeCILL  license under French law and
//  abiding by the rules of distribution of free software.  You can  use,
//  modify and/ or redistribute the software under the terms of the CeCILL
//  license as circulated by CEA, CNRS and INRIA at the following URL
//  'http://www.cecill.info'.

function []=%CLgndsta_p(s)

// LAST UPDATE
// 14/12/2007
//

// Declarations:


// Code:

N = size(s);
if isempty(N) N=0; end

fprintf(%io(2),"type STATION dim = %d    [rad,m]",N);
fprintf(%io(2),"----------------------------------------------");
if N>3
  fprintf(%io(2),"NAME -----> %s , %s , ... , %s",s(1).name,s(2).name,s(N).name);
  fprintf(%io(2),"ALIAS ----> %s , %s , ... , %s",s(1).alias,s(2).alias,s(N).alias);
  fprintf(%io(2),"SITE MIN -> %.2f , %.2f ... , %.2f",s(1).site_min,s(2).site_min,s(N).site_min);
  fprintf(%io(2),"LONGITUDE > %.2f , %.2f , ... , %.2f",s(1).lon,s(2).lon,s(N).lon);
  fprintf(%io(2),"LATITUDE -> %.2f , %.2f , ... , %.2f",s(1).lat,s(2).lat,s(N).lat);
  fprintf(%io(2),"ALTITUDE -> %.1f , %.1f , ... , %.1f",s(1).alt,s(2).alt,s(N).alt);
elseif N==3
  fprintf(%io(2),"NAME -----> %s , %s , %s",s(1).name,s(2).name,s(3).name);
  fprintf(%io(2),"ALIAS ----> %s , %s , %s",s(1).alias,s(2).alias,s(3).alias);
  fprintf(%io(2),"SITE MIN -> %.2f , %.2f , %.2f",s(1).site_min,s(2).site_min,s(3).site_min);
  fprintf(%io(2),"LONGITUDE > %.2f , %.2f , %.2f",s(1).lon,s(2).lon,s(3).lon);
  fprintf(%io(2),"LATITUDE -> %.2f , %.2f , %.2f",s(1).lat,s(2).lat,s(3).lat);
  fprintf(%io(2),"ALTITUDE -> %.1f , %.1f , %.1f",s(1).alt,s(2).alt,s(3).alt);
elseif N==2
  fprintf(%io(2),"NAME -----> %s , %s",s(1).name,s(2).name);
  fprintf(%io(2),"ALIAS ----> %s , %s",s(1).alias,s(2).alias);
  fprintf(%io(2),"SITE MIN -> %.2f , %.2f",s(1).site_min,s(2).site_min);
  fprintf(%io(2),"LONGITUDE > %.2f , %.2f",s(1).lon,s(2).lon);
  fprintf(%io(2),"LATITUDE -> %.2f , %.2f",s(1).lat,s(2).lat);
  fprintf(%io(2),"ALTITUDE -> %.1f , %.1f",s(1).alt,s(2).alt);
elseif N==1
  fprintf(%io(2),"NAME -----> %s",s.name);
  fprintf(%io(2),"ALIAS ----> %s",s.alias);
  fprintf(%io(2),"SITE MIN -> %.2f",s.site_min);
  fprintf(%io(2),"LONGITUDE > %.2f",s.lon);
  fprintf(%io(2),"LATITUDE -> %.2f",s.lat);
  fprintf(%io(2),"ALTITUDE -> %.1f",s.alt);
end

endfunction
