//  Copyright (c) CNES  2008
//
//  This software is part of CelestLab, a CNES toolbox for Scilab
//
//  This software is governed by the CeCILL  license under French law and
//  abiding by the rules of distribution of free software.  You can  use,
//  modify and/ or redistribute the software under the terms of the CeCILL
//  license as circulated by CEA, CNRS and INRIA at the following URL
//  'http://www.cecill.info'.

function []=%CLsensor_p(s)


// Declarations:


// Code:

N = size(s);
if isempty(N) N=0; end

fprintf(%io(2),"type SENSOR dim = %d    [rad]",N);
fprintf(%io(2),"----------------------------------------------");
if N>3
  fprintf(%io(2),"NAME ----> %s , %s , ... , %s",s(1).name,s(2).name,s(N).name);
  fprintf(%io(2),"TYPE ----> %i , %i , ... , %i",s(1).type,s(2).type,s(N).type);
  fprintf(%io(2),"X -------> %i , %i , ... , %i",s(1).X,s(2).X,s(N).X);
  fprintf(%io(2),"Y -------> %i , %i , ... , %i",s(1).Y,s(2).Y,s(N).Y);
  fprintf(%io(2),"Z -------> %i , %i , ... , %i",s(1).Z,s(2).Z,s(N).Z);
  fprintf(%io(2),"SemiAMP. > %.2f , %.2f , ... , %.2f",s(1).semiAngle,s(2).semiAngle,s(N).semiAngle);
elseif N==3
  fprintf(%io(2),"NAME ----> %s , %s , %s",s(1).name,s(2).name,s(3).name);
  fprintf(%io(2),"TYPE ----> %i , %i , %i",s(1).type,s(2).type,s(3).type);
  fprintf(%io(2),"X -------> %i , %i , %i",s(1).X,s(2).X,s(3).X);
  fprintf(%io(2),"Y -------> %i , %i , %i",s(1).Y,s(2).Y,s(3).Y);
  fprintf(%io(2),"Z -------> %i , %i , %i",s(1).Z,s(2).Z,s(3).Z);
  fprintf(%io(2),"SemiAMP. > %.2f , %.2f , %.2f",s(1).semiAngle,s(2).semiAngle,s(3).semiAngle);
elseif N==2
  fprintf(%io(2),"NAME ----> %s , %s",s(1).name,s(2).name);
  fprintf(%io(2),"TYPE ----> %i , %i",s(1).type,s(2).type);
  fprintf(%io(2),"X -------> %i , %i",s(1).X,s(2).X);
  fprintf(%io(2),"Y -------> %i , %i",s(1).Y,s(2).Y);
  fprintf(%io(2),"Z -------> %i , %i",s(1).Z,s(2).Z);
  fprintf(%io(2),"SemiAMP. > %.2f , %.2f",s(1).semiAngle,s(2).semiAngle);
elseif N==1
  fprintf(%io(2),"NAME ----> %s",s.name);
  fprintf(%io(2),"TYPE ----> %i",s.type);
  fprintf(%io(2),"X -------> %i",s.X);
  fprintf(%io(2),"Y -------> %i",s.Y);
  fprintf(%io(2),"Z -------> %i",s.Z);
  fprintf(%io(2),"SemiAMP. > %.2f",s.semiAngle);
end

endfunction
