program co_cir2car

use mslib

real(pm_reel) :: MU
type(tm_orb_cir) :: CIR
real(pm_reel), dimension(3) :: POS_CAR
real(pm_reel), dimension(3) :: VIT_CAR
type(tm_code_retour) :: CODE_RETOUR
real(pm_reel), dimension(6,6) :: jacob
integer :: j

MU = .39860064e+15_pm_reel

!!*************
!!NOMINAL CASES

!*********************
!CASE 1: standard case
CIR%a =     7204649.0_pm_reel
CIR%ex =   -2.9000e-04_pm_reel
CIR%ey =    1.3400e-03_pm_reel
CIR%i =     1.7233_pm_reel
CIR%gom =   1.5745_pm_reel
CIR%pso_M = 0.5726_pm_reel
call mv_cir_car(MU,CIR,POS_CAR,VIT_CAR,CODE_RETOUR,jacob=jacob)
print *, CIR%a, CIR%ex, CIR%ey
print *, CIR%i, CIR%gom, CIR%pso_M
print *, POS_CAR
print *, VIT_CAR
do j=1,6
	print *, jacob(j,1), jacob(j,2), jacob(j,3) 
	print *, jacob(j,4), jacob(j,5), jacob(j,6) 
end do
!*********************

end program co_cir2car