program co_geoc2car

use mslib

type(tm_geocentrique) :: pos_geoc, vit_geoc
real(pm_reel), dimension(3) :: pos_car, vit_car
type(tm_code_retour) :: code_retour
real(pm_reel), dimension(6,6) :: jacob

!!*************
!!NOMINAL CASES

!*********************
!CASE 1: standard random case
pos_geoc%lat  = 0.90715e-01_pm_reel
pos_geoc%long = 0.5362077e+01_pm_reel
pos_geoc%dist = 0.63779517e+07_pm_reel
vit_geoc%lat = 1.8332E-5_pm_reel
vit_geoc%long = 2.2060E-4_pm_reel
vit_geoc%dist = -181.488_pm_reel
call mt_geoc_car (pos_geoc, pos_car, code_retour, vit_geoc = vit_geoc, vit_car = vit_car, jacob = jacob)
print *, pos_geoc
print *, vit_geoc
print *, pos_car
print *, vit_car
do j=1,6
	print *, jacob(j,1), jacob(j,2), jacob(j,3) 
	print *, jacob(j,4), jacob(j,5), jacob(j,6) 
end do
!*********************

end program co_geoc2car