program co_geod2car

use mslib

type(tm_geodesique)                     ::  pos_geod     ! longitude, latitude, hauteur geodesiques                                         
real(pm_reel)                           ::  r_equa       ! rayon equatorial terrestre
real(pm_reel)                           ::  apla         ! applatissement terrestre
real(pm_reel), dimension(3)             ::  pos_car      ! positions vitesses en coordonnees cartesiennes
type(tm_code_retour)                    ::  code_retour
real(pm_reel), dimension (3,3)          ::  jacob        ! jacobienne

!!*************
!!NOMINAL CASES

call mc_GRS1980 (code_retour, r_equa = r_equa, apla = apla)

!****************************
!CASE 1: standard random case
apla = 0.00335281317789691_pm_reel !apla like scilab
pos_geod%lat  = 0.852479154923577_pm_reel
pos_geod%long = 0.423149994747243e-1_pm_reel
pos_geod%haut = 111.6_pm_reel
call mt_geod_car (pos_geod, r_equa, apla, pos_car, code_retour, jacob = jacob)
print *, pos_geod
print *, pos_car
do j=1,3
	print *, jacob(j,1), jacob(j,2), jacob(j,3) 
end do
!****************************

end program co_geod2car