program fr_geo_qsw

use mslib

real(pm_reel), dimension(3)    :: pos_car  ! vecteur position du satellite en coordonnees cartesiennes dans le
                                           ! repere geocentrique inertiel
real(pm_reel), dimension(3)    :: vit_car  ! idem pour la vitesse
real(pm_reel), dimension(3)    :: vect_geo ! composantes du vecteur considere dans le repere geocentrique inertiel
Real(pm_reel), dimension(3)    :: vect_qsw ! composantes du vecteur considere dans le repere orbital local

type(tm_code_retour)           :: code_retour


!!*************
!!NOMINAL CASES

!****************************
!CASE 1: random standard case
pos_car(:)   = 1._pm_reel
vit_car(1:2) = 1._pm_reel
vit_car(3)   = 0._pm_reel
vect_geo(:)  = 1._pm_reel
call mo_geo_qsw (pos_car, vit_car, vect_geo, vect_qsw, code_retour)
print *, pos_car
print *, vit_car
print *, vect_geo
print *, vect_qsw
!****************************

end program fr_geo_qsw