program fr_tnw2geo

use mslib

real(pm_reel), dimension(3)    :: pos_car  ! vecteur position du satellite en coordonnees cartesiennes dans le
                                           ! repere geocentrique inertiel
real(pm_reel), dimension(3)    :: vit_car  ! idem pour la vitesse
Real(pm_reel), dimension(3)    :: vect_tnw ! composantes du vecteur considere dans le repere orbital local (t,n,w)
real(pm_reel), dimension(3)    :: vect_geo ! composantes du vecteur considere dans le repere geocentrique inertiel

type(tm_code_retour)           :: code_retour


!!*************
!!NOMINAL CASES

!****************************
!CASE 1: random standard case
pos_car(:)     = 1._pm_reel
vit_car(1:2)   = 1._pm_reel
vit_car(3)     = 0._pm_reel
vect_tnw(1)    = sqrt(2._pm_reel)
vect_tnw(2:3)  = 0._pm_reel
call mo_tnw_geo (pos_car, vit_car, vect_tnw, vect_geo, code_retour)
print *, pos_car
print *, vit_car
print *, vect_tnw
print *, vect_geo
!****************************

end program fr_tnw2geo